import Axios from 'axios'

import {ELEMENT_DISCOVER_MESSAGE, REQUEST_CONFIG} from '../../utils/RequestUrls'

var staticMethods = {

  // 获取网元发现及进度信息
  getSpeedAndProgressMessage: function (key) {
    console.log('网元发现key')
    console.log(key)
    return Axios.post(ELEMENT_DISCOVER_MESSAGE, key, REQUEST_CONFIG)
  },
}

function ElementDiscoverAPI (websocketService = null) {
  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(ElementDiscoverAPI, staticMethods)
export default ElementDiscoverAPI
